/**
 * @license
 * Copyright Google Inc. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */

// THIS CODE IS GENERATED - DO NOT MODIFY
// See angular/tools/gulp-tasks/cldr/extract.js

export type CurrenciesSymbols = [string] | [string | undefined, string];

/** @internal */
export const CURRENCIES_EN:
    {[code: string]: CurrenciesSymbols | [string | undefined, string | undefined, number]} = {
      'ADP': [, , 0],
      'AFN': [, , 0],
      'ALL': [, , 0],
      'AMD': [, , 0],
      'AOA': [, 'Kz'],
      'ARS': [, '$'],
      'AUD': ['A$', '$'],
      'BAM': [, 'KM'],
      'BBD': [, '$'],
      'BDT': [, '৳'],
      'BHD': [, , 3],
      'BIF': [, , 0],
      'BMD': [, '$'],
      'BND': [, '$'],
      'BOB': [, 'Bs'],
      'BRL': ['R$'],
      'BSD': [, '$'],
      'BWP': [, 'P'],
      'BYN': [, 'р.', 2],
      'BYR': [, , 0],
      'BZD': [, '$'],
      'CAD': ['CA$', '$', 2],
      'CHF': [, , 2],
      'CLF': [, , 4],
      'CLP': [, '$', 0],
      'CNY': ['CN¥', '¥'],
      'COP': [, '$', 0],
      'CRC': [, '₡', 2],
      'CUC': [, '$'],
      'CUP': [, '$'],
      'CZK': [, 'Kč', 2],
      'DJF': [, , 0],
      'DKK': [, 'kr', 2],
      'DOP': [, '$'],
      'EGP': [, 'E£'],
      'ESP': [, '₧', 0],
      'EUR': ['€'],
      'FJD': [, '$'],
      'FKP': [, '£'],
      'GBP': ['£'],
      'GEL': [, '₾'],
      'GIP': [, '£'],
      'GNF': [, 'FG', 0],
      'GTQ': [, 'Q'],
      'GYD': [, '$', 0],
      'HKD': ['HK$', '$'],
      'HNL': [, 'L'],
      'HRK': [, 'kn'],
      'HUF': [, 'Ft', 2],
      'IDR': [, 'Rp', 0],
      'ILS': ['₪'],
      'INR': ['₹'],
      'IQD': [, , 0],
      'IRR': [, , 0],
      'ISK': [, 'kr', 0],
      'ITL': [, , 0],
      'JMD': [, '$'],
      'JOD': [, , 3],
      'JPY': ['¥', , 0],
      'KHR': [, '៛'],
      'KMF': [, 'CF', 0],
      'KPW': [, '₩', 0],
      'KRW': ['₩', , 0],
      'KWD': [, , 3],
      'KYD': [, '$'],
      'KZT': [, '₸'],
      'LAK': [, '₭', 0],
      'LBP': [, 'L£', 0],
      'LKR': [, 'Rs'],
      'LRD': [, '$'],
      'LTL': [, 'Lt'],
      'LUF': [, , 0],
      'LVL': [, 'Ls'],
      'LYD': [, , 3],
      'MGA': [, 'Ar', 0],
      'MGF': [, , 0],
      'MMK': [, 'K', 0],
      'MNT': [, '₮', 0],
      'MRO': [, , 0],
      'MUR': [, 'Rs', 0],
      'MXN': ['MX$', '$'],
      'MYR': [, 'RM'],
      'NAD': [, '$'],
      'NGN': [, '₦'],
      'NIO': [, 'C$'],
      'NOK': [, 'kr', 2],
      'NPR': [, 'Rs'],
      'NZD': ['NZ$', '$'],
      'OMR': [, , 3],
      'PHP': [, '₱'],
      'PKR': [, 'Rs', 0],
      'PLN': [, 'zł'],
      'PYG': [, '₲', 0],
      'RON': [, 'lei'],
      'RSD': [, , 0],
      'RUB': [, '₽'],
      'RUR': [, 'р.'],
      'RWF': [, 'RF', 0],
      'SBD': [, '$'],
      'SEK': [, 'kr', 2],
      'SGD': [, '$'],
      'SHP': [, '£'],
      'SLL': [, , 0],
      'SOS': [, , 0],
      'SRD': [, '$'],
      'SSP': [, '£'],
      'STD': [, 'Db', 0],
      'SYP': [, '£', 0],
      'THB': [, '฿'],
      'TMM': [, , 0],
      'TND': [, , 3],
      'TOP': [, 'T$'],
      'TRL': [, , 0],
      'TRY': [, '₺'],
      'TTD': [, '$'],
      'TWD': ['NT$', '$', 2],
      'TZS': [, , 0],
      'UAH': [, '₴'],
      'UGX': [, , 0],
      'USD': ['$'],
      'UYI': [, , 0],
      'UYU': [, '$'],
      'UZS': [, , 0],
      'VEF': [, 'Bs'],
      'VND': ['₫', , 0],
      'VUV': [, , 0],
      'XAF': ['FCFA', , 0],
      'XCD': ['EC$', '$'],
      'XOF': ['CFA', , 0],
      'XPF': ['CFPF', , 0],
      'YER': [, , 0],
      'ZAR': [, 'R'],
      'ZMK': [, , 0],
      'ZMW': [, 'ZK'],
      'ZWD': [, , 0]
    };
